Name:           libirman
Version:        0.4.4
Release:        2%{?dist}
Summary:        Library for IRMAN hardware

Group:          System Environment/Libraries
License:        GPLv2+ and LGPLv2+
URL:            http://lirc.sourceforge.net/software/snapshots/
Source0:        http://www.lirc.org/software/snapshots/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
#Requires:       

%description
A library for accessing the IRMAN hardware from Linux and other Unix systems.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static \
  --prefix=%{_prefix} \
  --mandir=%{_mandir} \
  --sysconfdir=%{_sysconfdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
  prefix=$RPM_BUILD_ROOT%{_prefix} \
  bindir=$RPM_BUILD_ROOT%{_bindir} \
  libdir=$RPM_BUILD_ROOT%{_libdir} \
  includedir=$RPM_BUILD_ROOT%{_includedir} \
  mandir=$RPM_BUILD_ROOT%{_mandir} \
  sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING* INSTALL README TODO NEWS
%config(noreplace) %{_sysconfdir}/irman.conf
%{_bindir}/*

%files devel
%defattr(-,root,root,-)
%doc TECHNICAL
%{_includedir}/*
%attr(644,root,root) %{_libdir}/*.a


%changelog
* Sat Dec  6 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.4.4-2
- initial release
